// ^ handle, main project file.
#include "stdafx.h"

using namespace System;

ref struct MyClass
{
	property String ^ MyStringProperty;
};

int main(array<System::String ^> ^args)
{
	String ^ MyString = gcnew String("String object");

	for each (Char c in MyString)
		Console::Write(c);

	Console::WriteLine();
	
	MyClass ^ x = gcnew MyClass();
	x->MyStringProperty = "Another test string...";	

	for each(Char c in x->MyStringProperty)
		Console::Write(c);
	Console::WriteLine();


	return 0;
}



